Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Enum LabelTextAccessMethod

    java.lang.Object
      java.lang.Enum<LabelTextAccessMethod>
          org.eclipse.gmf.codegen.gmfgen.LabelTextAccessMethod

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<LabelTextAccessMethod>, org.eclipse.emf.common.util.Enumerator

    public enum LabelTextAccessMethod

extends java.lang.Enum<LabelTextAccessMethod>
implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Label Text Access Method', and utility methods for working with them.

See Also:
  `GMFGenPackage.getLabelTextAccessMethod()`
** Generated **
Model:

Enum Constant Summary
`MESSAGE_FORMAT` The 'MESSAGE FORMAT' literal object
`NATIVE` The 'NATIVE' literal object
`PRINTF` The 'PRINTF' literal object
`REGEXP` The 'REGEXP' literal object

Field Summary
`static int` `MESSAGE_FORMAT_VALUE` The 'MESSAGE FORMAT' literal value
`static int` `NATIVE_VALUE` The 'NATIVE' literal value
`static int` `PRINTF_VALUE` The 'PRINTF' literal value
`static int` `REGEXP_VALUE` The 'REGEXP' literal value
`static java.util.List<LabelTextAccessMethod>` `VALUES` A public read-only list of all the 'Label Text Access Method' enumerators

Method Summary
`static LabelTextAccessMethod` `get(int value)` Returns the 'Label Text Access Method' literal with the specified integer value
`static LabelTextAccessMethod` `get(java.lang.String literal)` Returns the 'Label Text Access Method' literal with the specified literal value
`static LabelTextAccessMethod` `getByName(java.lang.String name)` Returns the 'Label Text Access Method' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static LabelTextAccessMethod` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static LabelTextAccessMethod[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MESSAGE_FORMAT

    public static final LabelTextAccessMethod MESSAGE_FORMAT

  The 'MESSAGE FORMAT' literal object.

  See Also:
    `MESSAGE_FORMAT_VALUE`
  ** Generated **
  Ordered:

### NATIVE

    public static final LabelTextAccessMethod NATIVE

  The 'NATIVE' literal object.

  See Also:
    `NATIVE_VALUE`
  ** Generated **
  Ordered:

### REGEXP

    public static final LabelTextAccessMethod REGEXP

  The 'REGEXP' literal object.

  See Also:
    `REGEXP_VALUE`
  ** Generated **
  Ordered:

### PRINTF

    public static final LabelTextAccessMethod PRINTF

  The 'PRINTF' literal object.

  See Also:
    `PRINTF_VALUE`
  ** Generated **
  Ordered:

Field Detail

### MESSAGE_FORMAT_VALUE

    public static final int MESSAGE_FORMAT_VALUE

  The 'MESSAGE FORMAT' literal value.

  If the meaning of 'MESSAGE FORMAT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MESSAGE_FORMAT`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### NATIVE_VALUE

    public static final int NATIVE_VALUE

  The 'NATIVE' literal value.

  If the meaning of 'NATIVE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NATIVE`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### REGEXP_VALUE

    public static final int REGEXP_VALUE

  The 'REGEXP' literal value.

  If the meaning of 'REGEXP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `REGEXP`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### PRINTF_VALUE

    public static final int PRINTF_VALUE

  The 'PRINTF' literal value.

  If the meaning of 'PRINTF' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRINTF`, Constant Field Values
  ** Generated **
  Ordered:
  Model:

### VALUES

    public static final java.util.List<LabelTextAccessMethod> VALUES

  A public read-only list of all the 'Label Text Access Method' enumerators.

  ** Generated **

Method Detail

### values

    public static LabelTextAccessMethod[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LabelTextAccessMethod c : LabelTextAccessMethod.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LabelTextAccessMethod valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static LabelTextAccessMethod get(java.lang.String literal)

  Returns the 'Label Text Access Method' literal with the specified literal value.

  ** Generated **

### getByName

    public static LabelTextAccessMethod getByName(java.lang.String name)

  Returns the 'Label Text Access Method' literal with the specified name.

  ** Generated **

### get

    public static LabelTextAccessMethod get(int value)

  Returns the 'Label Text Access Method' literal with the specified integer value.

  ** Generated **

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`
  ** Generated **

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<LabelTextAccessMethod>`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.